Subject: bug#57789: Emacs 28.1 clone build with native compilation crashes on s390x

From: Rob Browning <[email-masked]>
Date: Sat, 24 Sep 2022 16:06:06 -0500

Eli Zaretskii <[email-masked]> writes:

> Once you know which staticpro is being processed here, we'd need to
> examine its contents and try to figure out which parts cause the crash
> in GC.

Thanks, and I'll try to look in to this further when I have time.  For
now I'm changing the debian packages to avoid native compilation on some
architectures (currently mips64el[1] and s390x).

[1] There ./configure fails at the moment with "Error: -march=mips1 is
    not compatible with the selected ABI" when testing libgccjit.
    That's on eller.debian.org (mipsel host in a mips64el schroot).

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4